%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%endif
Summary: op5 Monitor specific reports
Name: monitor-op5reports
Version: 1.4.1
Release: op5.1
License: GPL
Group: op5/monitor
URL: http://www.op5.se
Source0: %name-%version.tar.gz
Prefix: /opt/monitor/op5/ninja
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: monitor-ninja >= 3.1
Requires: php-op5lib
Requires: op5-monitor-supported-database
%if 0%{?suse_version}
# SLES-specific stuff
Requires: php53
BuildRequires: php53
%else
# Common RHEL stuff
Requires: php
BuildRequires: php
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
%else
# RHEL5-specific stuff
%endif
%endif

%description
op5 Monitor specific reports



%package test
Summary: Test suite for op5 reports
Requires: monitor-op5reports = %version
Requires: op5-mysql
Requires: op5license-generator
# We run through ninja's test suite, so make sure all its deps are installed
Requires: monitor-ninja-test
Group: op5/monitor

%description test
Test suite for op5 reports

%prep
%setup -q

%build
make controllers

%install
rm -rf %buildroot
mkdir -p %buildroot%prefix/modules
cp -r op5reports %buildroot%prefix/modules/
cp -r test-op5reports %buildroot%prefix/modules/

%post
# Verify that mysql-server is installed and running before executing sql scripts
$(mysql -Be "quit") && MYSQL_AVAILABLE=1
if [ -n "$MYSQL_AVAILABLE" ] ; then
	# fails on upgrades, by design
	mysql merlin < %prefix/modules/op5reports/db/db_op5reportsify.sql 2>/dev/null || :
	# assuming avail_db_version is the same as sla_db_version
	db_ver=$(mysql -Be "SELECT op5version FROM avail_db_version" merlin 2>/dev/null | sed -n \$p)
	if [ 0"$db_ver" -lt '01' ]
	then
		# this used to be versioned differently, so errors in this file is legal.
		# cheat, to make life easier for whoever creates a new version in the future
		$(mysql merlin < %prefix/modules/op5reports/db/db_upgrade_v1.sql 2>/dev/null)
		if [[ "$?" != "0" && "$1" == "2" ]]; then
			mysql -Be "UPDATE avail_db_version SET op5version='1'" merlin
			mysql -Be "UPDATE sla_db_version SET op5version='1'" merlin
		fi
	fi
	if [ 0"$db_ver" -lt '02' ]
	then
		$(mysql merlin < %prefix/modules/op5reports/db/db_upgrade_v2.sql 2>/dev/null)
	fi
	if [ 0"$db_ver" -lt '03' ]
	then
		$(mysql merlin < %prefix/modules/op5reports/db/db_upgrade_v3.sql 2>/dev/null)
	fi
else
  echo "WARNING: mysql-server is not installed or not running."
  echo "If Oracle database is to be used this is ok."
  echo "If MySQL database is to be used you need to maually run:"
  echo "  mysql merlin < %prefix/modules/op5reports/db/db_upgrade_v1.sql"
  echo "to complete the setup of %name"
fi

%files
%defattr(-,%daemon_user,%daemon_group)
%prefix/modules/op5reports

%files test
%defattr(-,%daemon_user,%daemon_group)
%prefix/modules/test-op5reports

%clean
rm -rf %buildroot
